var winston = require('winston');
var app = require('express')();
var server = require('http').Server(app);
var io = require('socket.io')(server);

server.listen(3100, function () {
  winston.info('Listening on port 3100');
})

app.get('/', function (req, res) {
  res.sendFcile(__dirname + '/index.html');
});

io.on('connection', function (socket) {
  socket.emit('news', { hello: 'world' });
  socket.on('my other event', function (data) {
    winston.info("Receiveid data", data);
  });
});
